import { Modal, message } from 'ant-design-vue'
import XmSingleDataService from './xm-single-data-service'

export default function({ button, eventScript, context: { args, dataList, fieldInfos } }) {
  return new Promise((resolve) => {
    // const record = args[0]
    // let href = ''
    const caseid = fieldInfos.find((f) => f.name === 'CASE_ID')?.value
    if (caseid) {
      Modal.confirm({
        title: '转入案件进展阶段后，执行信息不可继续编辑，是否继续？',
        cancelText: '否',
        okText: '是',
        onOk: () => {
          // 转案件进展
          XmSingleDataService.fnZhuanCaseProgress(caseid)
            .then((res) => {
              console.log(res.data)
              if (res.data) {
                message.success('转案件进展成功，请进入案件进展处理该案件')
                // 刷新
                setTimeout(() => {
                  dataList.refresh()
                }, 1000)
              } else {
                message.error('处理失败，请联系管理员')
              }
            })
            .catch((e) => {
              // eslint-disable-next-line no-console
              console.log(e)
              message.error('出错了，请联系管理员')
            })
            .finally(() => {
              resolve()
            })
        },
        onCancel() {
          resolve(true)
        },
      })
    }
    //  else {
    //   // 所属组织机构没有值时直接打开
    //   if (record.openLink) {
    //     href = '#/sd-webflow/done-pages/' + record.instId
    //   }
    //   window.open(href, '_blank')
    //   resolve()
    // }
  })
}
